Finish OTP Registration
POST
/api/v1/otp/finish
const url = 'https://api.spartanauth.com/api/v1/otp/finish';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"transactionID":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.spartanauth.com/api/v1/otp/finish \ --header 'Content-Type: application/json' \ --data '{ "transactionID": "example", "password": "example" }'Validates the OTP code sent by BeginOTPRegistration and marks that OTP factor as registered for the authenticated user. Requires a valid bearer token and the transactionID from the begin step.
Request Body
Section titled “Request Body ” Media type application/json
object
transactionID
string
password
string
Example generated
{ "transactionID": "example", "password": "example"}Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
transactionID
string
Example generated
{ "transactionID": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}